#include <iostream>

using namespace std;

int main()
{
    int N,K,a;
    cin>>N>>K;
    
    int karte[N];
    
    for (int i = 1; i <= N; i++)
    {
        cin >> karte[i];
        
        if(karte[i]==K && i<N)
        {
            a=i;
        }
        else if(karte[i]==K && i==N)
        {
            a=0;
        }
            
    }
    cout<<karte[a+1];
    
    return 0;
}